"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const save_record_action_1 = require("./actions/save-record.action");
const database_1 = require("./database");
const record_model_1 = require("./models/record.model");
const port = 9000;
exports.startServer = async () => {
    const app = express_1.default();
    const router = express_1.default.Router();
    const database = await database_1.connectToDatabase();
    const repository = database.getRepository(record_model_1.RecordModel);
    app.use(express_1.default.json());
    router.post('/create', save_record_action_1.saveRecordAction(repository));
    app.use(router);
    app.listen(port, () => console.log('Postgres server started on port:', port));
    return app;
};
//# sourceMappingURL=server.js.map